package com.supervision.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.util.List;

@Data
public class PrimaryConfirmReqVO {

    @ApiModelProperty("初步诊断ID")
    @NotBlank(message = "初步诊断ID不能为空")
    private String primaryId;

    @NotBlank(message = "流程ID不能为空")
    private String processId;


    @ApiModelProperty("是否排除(0排除1确诊)")
    private Integer excludeFlag;

    @ApiModelProperty("诊断依据列表")
    private List<DiagnosticBasisForPrimaryReqVO> diagnosticBasisList;
}
